{
    "$graph": [
        {
            "class": "Workflow",
            "label": "varscan somatic workflow",
            "inputs": [
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "id": "#main/max_normal_freq"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#main/min_coverage"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "id": "#main/min_var_freq"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        "^.crai"
                    ],
                    "id": "#main/normal_cram"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "id": "#main/p_value"
                },
                {
                    "type": "string",
                    "id": "#main/reference"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#main/roi_bed"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "id": "#main/strand_filter"
                },
                {
                    "type": "File",
                    "secondaryFiles": [
                        "^.crai"
                    ],
                    "id": "#main/tumor_cram"
                }
            ],
            "steps": [
                {
                    "run": "#varscan_processsomatic.cwl",
                    "in": [
                        {
                            "source": "#main/max_normal_freq",
                            "id": "#main/process_somatic_indels/max_normal_freq"
                        },
                        {
                            "source": "#main/somatic/indels",
                            "id": "#main/process_somatic_indels/variants"
                        }
                    ],
                    "out": [
                        "#main/process_somatic_indels/somatic_hc",
                        "#main/process_somatic_indels/somatic",
                        "#main/process_somatic_indels/germline_hc",
                        "#main/process_somatic_indels/germline",
                        "#main/process_somatic_indels/loh_hc",
                        "#main/process_somatic_indels/loh"
                    ],
                    "id": "#main/process_somatic_indels"
                },
                {
                    "run": "#varscan_processsomatic.cwl",
                    "in": [
                        {
                            "source": "#main/max_normal_freq",
                            "id": "#main/process_somatic_snvs/max_normal_freq"
                        },
                        {
                            "source": "#main/somatic/snvs",
                            "id": "#main/process_somatic_snvs/variants"
                        }
                    ],
                    "out": [
                        "#main/process_somatic_snvs/somatic_hc",
                        "#main/process_somatic_snvs/somatic",
                        "#main/process_somatic_snvs/germline_hc",
                        "#main/process_somatic_snvs/germline",
                        "#main/process_somatic_snvs/loh_hc",
                        "#main/process_somatic_snvs/loh"
                    ],
                    "id": "#main/process_somatic_snvs"
                },
                {
                    "run": "#varscan_somatic.cwl",
                    "in": [
                        {
                            "source": "#main/min_coverage",
                            "id": "#main/somatic/min_coverage"
                        },
                        {
                            "source": "#main/min_var_freq",
                            "id": "#main/somatic/min_var_freq"
                        },
                        {
                            "source": "#main/normal_cram",
                            "id": "#main/somatic/normal_cram"
                        },
                        {
                            "source": "#main/p_value",
                            "id": "#main/somatic/p_value"
                        },
                        {
                            "source": "#main/reference",
                            "id": "#main/somatic/reference"
                        },
                        {
                            "source": "#main/roi_bed",
                            "id": "#main/somatic/roi_bed"
                        },
                        {
                            "source": "#main/strand_filter",
                            "id": "#main/somatic/strand_filter"
                        },
                        {
                            "source": "#main/tumor_cram",
                            "id": "#main/somatic/tumor_cram"
                        }
                    ],
                    "out": [
                        "#main/somatic/snvs",
                        "#main/somatic/indels"
                    ],
                    "id": "#main/somatic"
                }
            ],
            "id": "#main",
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/process_somatic_indels/germline_hc",
                    "id": "#main/germline_hc_indels"
                },
                {
                    "type": "File",
                    "outputSource": "#main/process_somatic_snvs/germline_hc",
                    "id": "#main/germline_hc_snvs"
                },
                {
                    "type": "File",
                    "outputSource": "#main/process_somatic_indels/germline",
                    "id": "#main/germline_indels"
                },
                {
                    "type": "File",
                    "outputSource": "#main/process_somatic_snvs/germline",
                    "id": "#main/germline_snvs"
                },
                {
                    "type": "File",
                    "outputSource": "#main/somatic/indels",
                    "id": "#main/indels"
                },
                {
                    "type": "File",
                    "outputSource": "#main/process_somatic_indels/loh_hc",
                    "id": "#main/loh_hc_indels"
                },
                {
                    "type": "File",
                    "outputSource": "#main/process_somatic_snvs/loh_hc",
                    "id": "#main/loh_hc_snvs"
                },
                {
                    "type": "File",
                    "outputSource": "#main/process_somatic_indels/loh",
                    "id": "#main/loh_indels"
                },
                {
                    "type": "File",
                    "outputSource": "#main/process_somatic_snvs/loh",
                    "id": "#main/loh_snvs"
                },
                {
                    "type": "File",
                    "outputSource": "#main/somatic/snvs",
                    "id": "#main/snvs"
                },
                {
                    "type": "File",
                    "outputSource": "#main/process_somatic_indels/somatic_hc",
                    "id": "#main/somatic_hc_indels"
                },
                {
                    "type": "File",
                    "outputSource": "#main/process_somatic_snvs/somatic_hc",
                    "id": "#main/somatic_hc_snvs"
                },
                {
                    "type": "File",
                    "outputSource": "#main/process_somatic_indels/somatic",
                    "id": "#main/somatic_indels"
                },
                {
                    "type": "File",
                    "outputSource": "#main/process_somatic_snvs/somatic",
                    "id": "#main/somatic_snvs"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "label": "varscan v2.4.2 processSomatic",
            "arguments": [
                "cp",
                "$(inputs.variants.path)",
                "$(runtime.outdir)/$(inputs.variants.basename)",
                {
                    "valueFrom": " && ",
                    "shellQuote": false
                },
                "java",
                "-jar",
                "/opt/varscan/VarScan.jar",
                "processSomatic"
            ],
            "requirements": [
                {
                    "class": "ShellCommandRequirement"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "inputBinding": {
                        "prefix": "--max-normal-freq",
                        "position": 2
                    },
                    "id": "#varscan_processsomatic.cwl/max_normal_freq"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "valueFrom": "$(runtime.outdir)/$(self.basename)",
                        "position": 1
                    },
                    "id": "#varscan_processsomatic.cwl/variants"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "*.Germline.vcf"
                    },
                    "id": "#varscan_processsomatic.cwl/germline"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "*.Germline.hc.vcf"
                    },
                    "id": "#varscan_processsomatic.cwl/germline_hc"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "*.LOH.vcf"
                    },
                    "id": "#varscan_processsomatic.cwl/loh"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "*.LOH.hc.vcf"
                    },
                    "id": "#varscan_processsomatic.cwl/loh_hc"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "*.Somatic.vcf"
                    },
                    "id": "#varscan_processsomatic.cwl/somatic"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "*.Somatic.hc.vcf"
                    },
                    "id": "#varscan_processsomatic.cwl/somatic_hc"
                }
            ],
            "id": "#varscan_processsomatic.cwl"
        },
        {
            "class": "CommandLineTool",
            "label": "varscan v2.4.2 somatic",
            "baseCommand": "/usr/bin/varscan_helper.sh",
            "requirements": [
                {
                    "class": "ResourceRequirement",
                    "ramMin": 12000
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "default": 8,
                    "inputBinding": {
                        "position": 5
                    },
                    "id": "#varscan_somatic.cwl/min_coverage"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "default": 0.1,
                    "inputBinding": {
                        "position": 6
                    },
                    "id": "#varscan_somatic.cwl/min_var_freq"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 2
                    },
                    "secondaryFiles": [
                        "^.crai"
                    ],
                    "id": "#varscan_somatic.cwl/normal_cram"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "default": 0.99,
                    "inputBinding": {
                        "position": 7
                    },
                    "id": "#varscan_somatic.cwl/p_value"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 3
                    },
                    "id": "#varscan_somatic.cwl/reference"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 8
                    },
                    "id": "#varscan_somatic.cwl/roi_bed"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "default": 0,
                    "inputBinding": {
                        "position": 4
                    },
                    "id": "#varscan_somatic.cwl/strand_filter"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "secondaryFiles": [
                        "^.crai"
                    ],
                    "id": "#varscan_somatic.cwl/tumor_cram"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "output.indel.vcf"
                    },
                    "id": "#varscan_somatic.cwl/indels"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "output.snp.vcf"
                    },
                    "id": "#varscan_somatic.cwl/snvs"
                }
            ],
            "id": "#varscan_somatic.cwl"
        }
    ],
    "cwlVersion": "v1.0"
}
